resources:
  App\Entity\Advert\View:
    operations:
      ApiPlatform\Metadata\GetCollection:
        filters: [ 'view.order_filter', 'view.search_filter' ]
        openapiContext:
          summary: View - List.
          description: >
            Retrieves a list of View
        normalizationContext:
          groups:
            - 'identifier:read'
            - 'view:read'
            - 'time_trace:read'

      ApiPlatform\Metadata\Get:
        openapiContext:
          summary: View - Item.
          description: >
            Retrieves a item of View
        normalizationContext:
          groups:
            - 'identifier:read'
            - 'view:read'
            - 'time_trace:read'

      ApiPlatform\Metadata\Post:
        openapiContext:
          summary: View - Create.
          description: >
            create an item of View
        normalizationContext:
          groups:
            - 'identifier:read'
            - 'time_trace:read'
            - 'view:read'
        denormalizationContext:
          groups:
            - 'view:write'
            - 'media_file:write'
